
@import '../../../../../assets/styles/common.scss';

.custom-ui-grid-pagination-container {
    width: 100%;
    display: flex;

    min-height: 50px;
    align-items: center;
    flex-direction: row;
    justify-content: center;
    box-shadow: 0 0 6px rgba(0,0,0,0.3);
    background-color: rgba($bgColor, 0.05);

    > div {
        display: flex;
        align-items: center;
        flex-direction: row;
        justify-content: center;
    }

    &-minimized {
        display: none;
        font-size: 24px;
    }

    &-description {
        width: 320px;
        height: 50px;
        font-size: 18px;
        padding: 0px 20px;
        background-color: white;

        .mdl-textfield {
            padding: 0;
            width: auto;
            min-width: 50px;
        }

        span {
            padding: 0px 10px 2px 10px;
        }
    }

    &-before,
    &-after {
        width: calc(50% - 100px);
    }

    &-before {
        &-previous {
            &.mdl-button {
                border-left: 1px solid rgba($bgColor, 0.2);
            }
        }
    }

    &-after {
        &-last {
            &.mdl-button {
                border-left: 1px solid rgba($bgColor, 0.2);
            }
        }
    }

    .mdl-button {
        width: 50%;
        height: 50px;
        padding: 0px;
        font-size: 16px;
        font-weight: bold;
        transition: background-color 0.5s;
        background-color: rgba($bgColor, 0.15);

        &:hover {
            color: white;
            background-color: $bgColor;
        }
    }
}

@media screen and (max-width: 1024px) {
    .custom-ui-grid-pagination-container {
        flex-wrap: wrap;

        &-full {
            display: none;
        }

        &-minimized {
            display: block;
        }

        &-description {
            order: -1;
            width: auto;
            width: 100%;

            .mdl-textfield {
                width: 100%;
            }
        }

        &-before,
        &-after {
            width: 50%;
        }
    }
}